<ion-menu side="end" type="overlay" menuId="order" contentId="main">
  <ion-header>
    <ion-toolbar color="warning">
      <ion-title>Comanda</ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-content>

    <ion-item *ngFor="let finalOrderItem of finalOrder">
      <ion-label>{{finalOrderItem.name}} <p>{{finalOrderItem.quantity}}</p></ion-label>
 
      <ion-badge color="warning" slot="end">{{finalOrderItem.quantity * finalOrderItem.price | number}}€ </ion-badge>
      <ion-button clear  slot="end" (click)="deleteComanda(finalOrderItem)">
        <ion-icon name="trash"></ion-icon>
      </ion-button>
    </ion-item>
    <h1 style="float: right ;">Total: {{total | number}}€</h1>
    <ion-button type="submit" expand="block" clear (click)="updateOrder()">Create</ion-button>
  </ion-content>
</ion-menu>

<ion-header>
  <ion-toolbar>
    <ion-title>Take Order</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
    <div style="display: flex; justify-content: center;">
      <div style="width:45%; margin-right: 8%;">
        <ion-item>
          <ion-label position="floating">Name</ion-label>
          <ion-input id="name" type="text" value="{{comanda.name}}" required></ion-input>
        </ion-item>
      </div>

      <div style="width:45%;">
        <ion-item>
          <ion-label position="floating">Table</ion-label>
          <ion-input id="table" type="text" value="{{comanda.table}}" required></ion-input>
        </ion-item>
      </div>
    </div>

    <div style="overflow: auto; white-space: nowrap;  scrollbar-width: none;">
      <ion-chip id="desserts" (click)="activateFilter('desserts')" style="background-color: #a7a7a0">
        <ion-label>Desserts</ion-label>
      </ion-chip>
      <ion-chip id="drinks" (click)="activateFilter('drinks')" style="background-color: #a7a7a0">
        <ion-label>Drinks</ion-label>
      </ion-chip>
      <ion-chip id="meats" (click)="activateFilter('meats')" style="background-color: #a7a7a0">
        <ion-label>Meats</ion-label>
      </ion-chip>
      <ion-chip id="pasta" (click)="activateFilter('pasta')" style="background-color: #a7a7a0">
        <ion-label>Pasta</ion-label>
      </ion-chip>
      <ion-chip id="salads" (click)="activateFilter('salads')" style="background-color: #a7a7a0">
        <ion-label>Salads</ion-label>
      </ion-chip>
      <ion-chip id="seafood" (click)="activateFilter('seafood')" style="background-color: #a7a7a0">
        <ion-label>Seafood</ion-label>
      </ion-chip>
      <ion-chip id="soups" (click)="activateFilter('soups')" style="background-color: #a7a7a0">
        <ion-label>Soups</ion-label>
      </ion-chip>
    </div>

    <ion-grid>
      <ion-row>
        <ion-col size="6" *ngFor="let item of selectableItems">
          <ion-card (click)="chooseItem(item)">
            <img width="100%" class="img_product" src="{{item.img}}" />
            <ion-card-header>
              <ion-card-title>{{item.name}}</ion-card-title>
              <ion-card-subtitle>{{item.price}}€</ion-card-subtitle>
            </ion-card-header>
          </ion-card>
        </ion-col>
      </ion-row>
    </ion-grid>
</ion-content>
<ion-footer>
  <ion-button type="submit" expand="block" clear (click)="onSubmit()">Continue</ion-button>
</ion-footer>